/* ------------------------------------ */
// Navbar data section
/* ------------------------------------ */
import logo from 'common/src/assets/image/cryptoModern/logo.png';

export const navbar = {
  logo: logo,
  navMenu: [
    {
      id: 1,
      label: 'Home',
      path: '#home',
      offset: '84',
    },
    {
      id: 2,
      label: 'Key Features',
      path: '#key-features',
      offset: '81',
    },
    {
      id: 3,
      label: 'Fund Raising',
      path: '#fund',
      offset: '81',
    },
    {
      id: 4,
      label: 'Locations',
      path: '#map',
      offset: '81',
    },
    {
      id: 5,
      label: 'FAQ',
      path: '#faqSection',
      offset: '81',
    },
  ],
};

/* ------------------------------------ */
// Features data section
/* ------------------------------------ */
import featureIcon1 from 'common/src/assets/image/cryptoModern/feature-1.png';
import featureIcon2 from 'common/src/assets/image/cryptoModern/feature-2.png';
import featureIcon3 from 'common/src/assets/image/cryptoModern/feature-3.png';
import featureIcon4 from 'common/src/assets/image/cryptoModern/feature-4.png';

export const Features = [
  {
    id: 1,
    icon: featureIcon1,
    title: 'Great Market Value',
    description:
      'The leading digital currency by market capitalization, has grown in value by more than 10 times.',
  },
  {
    id: 2,
    icon: featureIcon2,
    title: 'Verified Mining',
    description:
      'Your mining rigs are already set up and running. As soon as you set up your account.',
  },
  {
    id: 3,
    icon: featureIcon3,
    title: 'Fastest Miner',
    description:
      'Don’t wrestle with rig assembly and hot, noisy miners at home. We have the fastest bitcoin mining.',
  },
  {
    id: 4,
    icon: featureIcon4,
    title: 'Secure Transactions',
    description:
      'You can mine any cryptocurrency available in our catalogue! Switch your mining power.',
  },
];

/* ------------------------------------ */
// Wallet  data section
/* ------------------------------------ */
import walletIcon1 from 'common/src/assets/image/cryptoModern/wallet1.png';
import walletIcon2 from 'common/src/assets/image/cryptoModern/wallet2.png';
import walletIcon3 from 'common/src/assets/image/cryptoModern/wallet3.png';

export const WalletFeatures = [
  {
    id: 1,
    icon: walletIcon1,
    title: 'Secure transfers with verified Casinos.',
  },
  {
    id: 2,
    icon: walletIcon2,
    title: 'Easily buy and sell CLV within the wallet',
  },
  {
    id: 3,
    icon: walletIcon3,
    title: 'Pay as many as you want',
  },
];

/* ------------------------------------ */
// Faq  data section
/* ------------------------------------ */

export const Faq = [
  {
    id: 1,
    expend: true,
    title: 'How to contact with Customer Service?',
    description:
      'Our Customer Experience Team is available 7 days a week and we offer 2 ways to get in contact.Email and Chat . We try to reply quickly, so you need not to wait too long for a response!. ',
  },
  {
    id: 2,
    title: 'App installation failed, how to update system information?',
    description:
      'Please read the documentation carefully . We also have some online  video tutorials regarding this issue . If the problem remains, Please Open a ticket in the support forum . ',
  },
  {
    id: 3,
    title: 'Website reponse taking time, how to improve?',
    description:
      'At first, Please check your internet connection . We also have some online  video tutorials regarding this issue . If the problem remains, Please Open a ticket in the support forum .',
  },
  {
    id: 4,
    title: 'New update fixed all bug and issues?',
    description:
      'We are giving the update of this theme continuously . You will receive an email Notification when we push an update. Always try to be updated with us .',
  },
];

/* ------------------------------------ */
// Footer data section
/* ------------------------------------ */
export const Footer_Data = [
  {
    title: 'About Us',
    menuItems: [
      {
        url: '#',
        text: 'Support Center',
      },
      {
        url: '#',
        text: 'Customer Support',
      },
      {
        url: '#',
        text: 'About Us',
      },
      {
        url: '#',
        text: 'Copyright',
      },
      {
        url: '#',
        text: 'Popular Campaign',
      },
    ],
  },
  {
    title: 'Our Information',
    menuItems: [
      {
        url: '#',
        text: 'Return Policy',
      },
      {
        url: '#',
        text: 'Privacy Policy',
      },
      {
        url: '#',
        text: 'Terms & Conditions',
      },
      {
        url: '#',
        text: 'Site Map',
      },
      {
        url: '#',
        text: 'Store Hours',
      },
    ],
  },
  {
    title: 'My Account',
    menuItems: [
      {
        url: '#',
        text: 'Press inquiries',
      },
      {
        url: '#',
        text: 'Social media directories',
      },
      {
        url: '#',
        text: 'Images & B-roll',
      },
      {
        url: '#',
        text: 'Permissions',
      },
      {
        url: '#',
        text: 'Speaker requests',
      },
    ],
  },
  {
    title: 'Policy',
    menuItems: [
      {
        url: '#',
        text: 'Application security',
      },
      {
        url: '#',
        text: 'Software principles',
      },
      {
        url: '#',
        text: 'Unwanted software policy',
      },
      {
        url: '#',
        text: 'Responsible supply chain',
      },
    ],
  },
];
